The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get NMS Users at Domain

Prev Next

This URL gets the NMS users present at the domain and the parent domains.

Resource URL

GET /domain/<domain_id> /nmsusers

Request Parameters

URL Parameters:

Field Name Description Data Type Mandatory
domainId Domain id Number Yes

Response Parameters

Following fields are returned.

Field Name Description Data Type
NMSUserList Contains the list of NMS users ObjectList

Details of fields in NMSUserList:

Field Name Description Data Type
NMSUserDetails NMS user details Object

Details of fields in NMSUserDetails:

Field Name Description Data Type
userName Name of the NMS user String
userId ID of the NMS user Number
createdAt Resource where the NMS user was created String

Example

Request

GET https://<NSM_IP>/sdkapi/domain/101/nmsusers

Response

{
       "nmsUserDetails":
       [
           {
               "userName": "user1",
               "userId": 14,
               "createdAt": "/My Company"
           },
           {
               "userName": "admin123",
               "userId": 9,
               "createdAt": "/My Company/Test Child Domain 1"
           },
           {
               "userName": "user1234",
               "userId": 10,
               "createdAt": "/My Company/Test Child Domain 1"
           }
       ]
    } 
 

Error Information

Following error code is returned by this URL:

No HTTP Error Code SDK API errorId SDK API errorMessage
1 404 1105 Invalid domain